# Method: inappproducts.batchDelete

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#body.aspect)
- [InappproductsDeleteRequest](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#InappproductsDeleteRequest)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#InappproductsDeleteRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#try-it)

Deletes in-app products (managed products or subscriptions).

Set the latencyTolerance field on nested requests to PRODUCT_UPDATE_LATENCY_TOLERANCE_LATENCY_TOLERANT to achieve maximum update throughput.

This method should not be used to delete subscriptions. See [this article](https://android-developers.googleblog.com/2023/06/changes-to-google-play-developer-api-june-2023.html) for more information.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/inappproducts:batchDelete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#InappproductsDeleteRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/inappproducts/batchDelete#InappproductsDeleteRequest`)`` Individual delete requests. At least one request is required. Can contain up to 100 requests. All requests must correspond to different in-app products. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## InappproductsDeleteRequest

Request to delete an in-app product.

| JSON representation |
|---|
| ``` { "packageName": string, "sku": string, "latencyTolerance": enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ProductUpdateLatencyTolerance`) } ``` |

| Fields ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `sku` | `string` Unique identifier for the in-app product. |
| `latencyTolerance` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ProductUpdateLatencyTolerance`)`` Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive. |